EDAC-CTL(8)

NAME
edac-ctl - EDAC admin utility

SYNOPSIS
edac-ctl [OPTION]...

DESCRIPTION
The edac-ctl program is a perl(1) script which performs some useful administration tasks for EDAC (Error Detection and Correction) drivers.

OPTIONS

--help
    Display a brief usage message.

--mainboard
    Print mainboard vendor and model for this hardware, if available. The method used by edac-ctl to obtain the mainboard vendor and model information for the current system is described below in the MAINBOARD CONFIGURATION section.

--status
    Print the status of EDAC drivers (loaded or unloaded).

--register-labels
    Register motherboard DIMM labels into EDAC driver sysfs files. This option uses the detected mainboard manufacturer and model number in combination with a "labels database" found in any of the files under /etc/edac/labels.d/* or in the labels.db file at /etc/edac/labels.db. An entry for the current hardware must exist in the labels database for this option to do anything.

--print-labels
    Display the configured labels for the current hardware, as well as the current labels registered with EDAC.

--labeldb=DB
    Specify an alternate location for the labels database.

MAINBOARD CONFIGURATION

The edac-ctl script uses the following method to determine the current system's mainboard vendor and model information:

1.  If the config file /etc/edac/mainboard exists, then it is parsed by edac-ctl. The mainboard config file has the following simple syntax:
           vendor = <mainboard vendor string>
           model =  <mainboard model string>
           script = <script to gather mainboard information>
    Where anything after a '#' character on a line is considered a comment. If the keyword script is specified, then that script or executable is run by edac-ctl to gather the mainboard vendor and model information. The script should write the resulting information on stdout in the same format as the mainboard config file.

2.  If no mainboard config file exists, then edac-ctl will attempt to read DMI information from the sysfs files
         /sys/class/dmi/id/board_vendor
         /sys/class/dmi/id/board_name

3.  If the sysfs files above do not exist, then edac-ctl will fall back to parsing output of the dmidecode(8) utility. Use of this utility will most often require that edac-ctl be run as root.

SEE ALSO
edac(3), edac-util(1)